Subject: bug#10338: 23.3; Firefox includes a jar file which is not recognied as a zip file (omni.jar)

From: Juri Linkov <[email-masked]>
Date: Thu, 22 Dec 2011 22:28:48 +0200

I found another problem with Firefox jar files: trying to visit the file
`browser.jar' doesn't use `archive-mode'.  It's visited in `html-mode'.
That's because the first line of the ZIP-based JAR archive contains
the file-local variable -*- line from the first file in this archive:

  PK^C^D content/browser/aboutDialog.xul<?xml version="1.0"?> <!-- -*- Mode: HTML -*- -->

This is purely Emacs problem, not caused by something non-standard from Mozilla.
We should somehow change the priorities of detecting the correct mode.

After filling the -*- line with spaces in hexl-mode, the jar file opens
normally, but visiting a file from the archive inserts the following line into
the file buffer:

  content/browser/aboutDialog.xul  bad CRC 1ded366d  (should be b80ec225)

This will be fixed in bug#10347 by displaying the warning and error messages
in the echo area instead of inserting into the buffer.